View Issue Details

IDProjectCategoryView StatusLast Update
0001263OpenMPT[All Projects] Audio I/Opublic2019-11-02 12:57
Reporterkm2 Assigned Tomanx  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformwine64 4.16OSArch Linux amd64OS Versionlinux 4.19.72
Product VersionOpenMPT 1.28.06.00 / libopenmpt 0.4.6 (upgrade first) 
Target VersionOpenMPT 1.28.09.00 / libopenmpt 0.4.11 (upcoming stable)Fixed in VersionOpenMPT 1.28.09.00 / libopenmpt 0.4.11 (upcoming stable) 
Summary0001263: OpenMPT Wine integration build script fails to compile
Description

Whenever Wine integration is enabled in the settings, the build script that runs on startup fails with the following error:


│ In file included from                                      │
│ /opt/wine-devel/include/wine/windows/objbase.h:252,        │
│                  from                                      │
│ /opt/wine-devel/include/wine/windows/ole2.h:25,            │
│                  from                                      │
│ /opt/wine-devel/include/wine/windows/wtypes.h:13,          │
│                  from                                      │
│ /opt/wine-devel/include/wine/windows/winscard.h:22,        │
│                  from                                      │
│ /opt/wine-devel/include/wine/windows/windows.h:70,         │
│                  from mptrack/wine/WineWrapper.c:6,        │
│                  from mptrack/wine/WineWrapper.cpp:4:      │
│ /opt/wine-devel/include/wine/windows/objidl.h:6100:15:     │
│ ошибка: «union _userSTGMEDIUM::<unnamed                    │
│ struct>::__WIDL_objidl_generated_name_0000000C» invalid;   │
│ an anonymous struct may only have public non-static data   │
│ members [-fpermissive]                                     │
│  6100 |         union                                      │
│ __WIDL_objidl_generated_name_0000000C {                    │
│       |                                                    │
│ ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                      │
│                ```                         
Steps To Reproduce

Enable Wine integration via OpenMPT Setup > Wine > Check "Enable Wine native host support .
Restart OpenMPT.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

manx

manx

2019-11-02 12:52

administrator   ~0004133

confirmed on Debian Testing x86, Wine 4.18, GCC 9.2.1

manx

manx

2019-11-02 12:57

administrator   ~0004134

Fixed in r12293 (1.29) and r12294 (1.28). Test builds will show up at https://builds.openmpt.org/builds/ in a couple of hours.

Issue History

Date Modified Username Field Change
2019-09-19 19:14 km2 New Issue
2019-09-24 11:22 manx Assigned To => manx
2019-09-24 11:22 manx Status new => acknowledged
2019-09-24 11:23 manx Target Version => OpenMPT 1.28.08.00 / libopenmpt 0.4.9 (current stable)
2019-11-02 12:51 manx Target Version OpenMPT 1.28.08.00 / libopenmpt 0.4.9 (current stable) => OpenMPT 1.28.09.00 / libopenmpt 0.4.11 (upcoming stable)
2019-11-02 12:52 manx Status acknowledged => confirmed
2019-11-02 12:52 manx Note Added: 0004133
2019-11-02 12:57 manx Status confirmed => resolved
2019-11-02 12:57 manx Resolution open => fixed
2019-11-02 12:57 manx Fixed in Version => OpenMPT 1.28.09.00 / libopenmpt 0.4.11 (upcoming stable)
2019-11-02 12:57 manx Note Added: 0004134